/*-
 * This file is a part of the MDCacheD server
 * (c) 2007.-2011. Ivan Voras <ivoras@gmail.com>
 * Released under the 2-clause BSDL
 * $Id: server.h 452 2012-03-20 16:03:25Z ivoras $
 */

#ifndef _SERVER_H_
#define _SERVER_H_

#define MDCACHED_SERVER

#define SERVER_VERSION 		0x0001

#ifndef CLIENT_SLOTS
#define DEFAULT_STARTUP_CONNS 	500
#else
#define DEFAULT_STARTUP_CONNS	CLIENT_SLOTS
#endif

#define DEFAULT_N_NETWORK_THREADS 	2
#define DEFAULT_N_WORKER_THREADS 	0

#define MAX_DEQUEUED_JOBS 		40

#define REAPER_THREAD_INTERVAL		5
#define MONITOR_THREAD_INTERVAL		5

#endif
